from orchestrator.types import SubscriptionLifecycle

TOPOLOGY_ENDPOINT = "/api/v1/networks/topology"


def test_iptrunk_subscriptions_endpoint_with_valid_api_key(test_client, iptrunk_subscription_factory):
    iptrunk_subscription_factory()
    iptrunk_subscription_factory()
    iptrunk_subscription_factory()
    iptrunk_subscription_factory(status=SubscriptionLifecycle.TERMINATED)
    iptrunk_subscription_factory(status=SubscriptionLifecycle.INITIAL)

    response = test_client.get(TOPOLOGY_ENDPOINT)

    assert response.status_code == 200
    assert len(response.json()["iptrunks"]) == 3
